org.eclnt.jsfserver.elements.impl

## Class ROWDYNAMICCONTENTBinding.ComponentNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ACTIVEXNode, ADAPTIVEAREAITEMNode, ADAPTIVESPLITAREANode, ADAPTIVETILECONTAINERNode, ADAPTIVETOOLBARNode, ANIMATEDPANENode, ANIMATEICONNode, ANIMATELINKVERTICALNode, ANYEVENTLISTENERNode, APPLETCONTEXTSHOWDOCUMENTNode, AREASELECTORNode, ARRAYGRIDNode, ASYNCHDATATRANSFERNode, AUTOCOMPLETENode, AWESOMEFONTICONNode, BCOBJECTSELECTIONNode, BEANMETHODINVOKERNode, BEANPROCESSINGNode, BEANPROPERTYSETTERNode, BEEPNode, BLOCKABLEAREANode, BLOCKERNode, BOXNode, BROWSERNode, BUTTONCOPYPASTEACTIVATIONNode, BUTTONMENUNode, BUTTONNode, BUTTONPOPUPNode, BUTTONVERTICALNode, CALENDARFIELDNode, CALENDARNode, CALLSERVERONINACTIVITYNode, CALLSERVERONTRIGGERNode, CAMERANode, CAPTUREANIMATORNode, CCFEDITNode, CHARTJSNode, CHARTNode, CHECKBOXNode, CLIENTCLOSERNode, CLIENTCONFIGNode, CLIENTCOOKIENode, CLIENTDATAGRAMRECEIVERNode, CLIENTDIRECTUPDATENode, CLIENTFILEEXPLORERNode, CLIENTFILEPOLLERNode, CLIENTFILEPUSHERNode, CLIENTFILEREMOVERNode, CLIENTFILETRANSFERNode, CLIENTFOCUSLISTENERNode, CLIENTHIGHLIGHTTEXTNode, CLIENTHTTPRECEIVERNode, CLIENTHTTPSENDERNode, CLIENTJSMETHODCALLERNode, CLIENTJSMETHODRECEIVERNode, CLIENTMETHODCALLERNode, CLIENTMETHODRECEIVERNode, CLIENTMONITORNode, CLIENTREDIRECTPAGENode, CLIENTREDIRECTURLNode, CLIENTSECIDNode, CLIENTSERIALRECEIVERNode, CLIENTSERIALRECEIVERSSCNode, CLIENTSOCKETCONNECTORNode, CLIENTSUBDEVICENode, CLIENTTESTLOGNode, CLIENTUSBFILEREADERNode, CLIPBOARDGETNode, CLIPBOARDSETNode, CLOCKNode, COLDISTANCENode, COLLINENode, COLORFIELDNode, COLORICONNode, COLSYNCHEDPANENode, COLSYNCHEDROWDISTANCENode, COLSYNCHEDROWLINENode, COLSYNCHEDROWNode, COMBOBOXITEMNode, COMBOBOXNode, COMBOFIELDNode, DIRECTHTMLINSERTNode, DRAWAREANode, DUMMYNode, DUMMYSERVERSIDENode, DYNAMICCONTENTNode, FIELDNode, FILECHOOSERNode, FILECREATEDIRECTORYNode, FILEDOWNLOADBUTTONNode, FILEDOWNLOADLINKNode, FILEDOWNLOADNode, FILEUPLOADASYNCHRONOUSNode, FILEUPLOADBUTTONASYNCHRONOUSNode, FILEUPLOADBUTTONNode, FILEUPLOADLINKASYNCHRONOUSNode, FILEUPLOADLINKNode, FILEUPLOADNode, FIXGRIDNode, FIXGRIDTOUCHBUTTONNode, FOLDABLEPANEHEADERROWNode, FOLDABLEPANENode, FOLDABLEPOPUPINCLUDENode, FOLDABLEVERTICALPANENode, FONTICONNode, FORMATTEDFIELDNode, FULLSCREENBUTTONNode, FXCHARTNode, GEOLOCATIONNode, GRIDCOLNode, GRIDFOOTERNode, GRIDHEADERLABELNode, GRIDHEADERNode, GRIDROWSELECTORNode, HELPICONNode, HEXIMAGEMAPNode, HEXIMAGENode, HIDEABLENode, HT5DATEFIELDNode, HT5NUMBERFIELDNode, HTANode, HTARRAYGRIDNode, HTBROWSERNode, HTBUTTONNode, HTCHECKBOXNode, HTCLASSICBUTTONNode, HTCOLDISTANCENode, HTCOMBOBOXITEMNode, HTCOMBOBOXNode, HTCOMBOFIELDNode, HTDYNAMICCONTENTNode, HTFIELDNode, HTFILEUPLOADNode, HTFIXGRIDNode, HTFORMATTEDFIELDNode, HTGRIDCOLNode, HTGRIDFOOTERNode, HTGRIDHEADERNode, HTHOTKEYNode, HTHTMLNode, HTIMAGENode, HTJSCALLEDNode, HTJSCALLNode, HTLABELNode, HTLINKNode, HTMODALPOPUPNode, HTPAGEADDONS1Node, HTPAGEADDONS2Node, HTPANENode, HTPASSWORDJSNode, HTPASSWORDNode, HTRADIOBUTTONNode, HTROWDISTANCENode, HTROWDYNAMICCONTENTNode, HTROWHEADERNode, HTROWNode, HTROWSTATUSBARNode, HTSCROLLPANENode, HTSPANNode, HTTABBEDPANENode, HTTABBEDPANETABNode, HTTABLENode, HTTEXTAREANode, HTTIMERNode, HYPERLINKNode, ICONNode, ICONSEPTEXTNode, IFRAMEINCLUDENode, IMAGEANONYMIZERDIRECTNode, IMAGEANONYMIZERNode, IMAGECAPTURENode, IMAGEMAPNode, IMAGENode, IMAGESHAKERNode, JBROWSERNode, JRPRINTERNode, JRVIEWERNode, JSHOWURLNode, KEYBOARDSCANNERNode, KEYSELECTORNode, LABELMULTILINENode, LABELNode, LABELVERTICALNode, LAYEREDPANENode, LINKNode, LINKVERTICALNode, LISTNode, LONGPOLLINGNode, LONGTEXTFIELDNode, MAILTONode, MAPVIEWERNode, MEDIAPLAYERNode, MENUBARNode, MENUITEMCONTAINERNode, MENUITEMNode, MENUNode, MENUSEPARATORNode, MESSAGELISTENERNode, MESSAGENode, MODALPOPUPNode, MODELESSPOPUPNode, OSMVIEWERNode, OSMVIEWERTRACKNode, OSMVIEWERWAYPOINTNode, OUTLOOKBARCONTENTNode, OUTLOOKBARITEMNode, OUTLOOKBARNode, OVERLAYAREAITEMNode, OVERLAYAREANode, PAGEADDONSNode, PAGEBEANCOMPONENTNode, PAGEBEANINCLUDENode, PAGEBEANROOTNode, PAGENode, PAGETYPEANDROIDNode, PAINTAREAITEMNode, PAINTAREALINEITEMNode, PAINTAREANode, PAINTAREAPANEITEMNode, PANENode, PANEWITHSHADENode, PASSWORDNode, PDFPRINTERNode, PDFRENDERERNode, PDFRENDERERVIAURLNode, PICKLISTNode, POOLEDBROWSERNode, POPUPMENUNode, PROGRESSBARNode, QRCODESCANNERJSQRNode, RADIOBUTTONNode, RELOADBUTTONNode, RELOADTIMERNode, REPEATNode, RGRAPHNode, ROLLINGCONTAINERAREANode, ROLLINGCONTAINERNode, ROWADAPTIVEAREANode, ROWADAPTIVELINENode, ROWBODYPANENode, ROWDEMOBODYPANENode, ROWDISTANCENode, ROWDYNAMICCONTENTNode, ROWFLEXCOLUMNCONTAINERNode, ROWFLEXLINECONTAINERNode, ROWHEADERNode, ROWINCLUDENode, ROWLINENode, ROWMATRIXAREANode, ROWNode, ROWPAGEBEANINCLUDENode, ROWPAGEBEANINNERPARTNode, ROWSTATUSBARNode, ROWTITLEBARNode, ROWTLCOCKPITNode, ROWWORKPAGECONTAINERNode, ROWWORKPAGEFAVORITESNode, ROWWORKPAGEFAVORITESSQUARENode, ROWWORKPAGESELECTORNode, ROWWORKPLACEFUNCTIONSNode, ROWWORKPLACEFUNCTIONTREENode, ROWWORKPLACENode, SCALEPANENode, SCENEJSNode, SCHEDULEITEMNode, SCHEDULENode, SCREENGRABBERNode, SCRIPTINSERTNode, SCROLLANCHORNode, SCROLLAREANode, SCROLLBARNode, SCROLLNOTIFIERNode, SCROLLPANENode, SESSIONCLOSERNode, SHADOWEDPANENode, SHIFTCONTAINERNode, SHOWCLIENTERRORSCREENNode, SIMPLEHTMLEDITORNode, SIMPLELABELNode, SIZEABLEPANEHORIZONTALNode, SIZEABLEPANENode, SIZETRANSFERNode, SLIDECONTAINERNode, SLIDERNode, SMARTLABELNode, SMARTTEXTAREANode, SOUNDNode, SPANGRIDCOLNode, SPANGRIDNode, SPINNERNode, SPLITPANENode, SPLITPANESPLITNode, STABLEAREACONFIGAREANode, STABLEAREAMANAGERNode, STABLEAREANode, STABLEAREAPLACEHOLDERNode, STACKEDPANEITEMNode, STACKEDPANENode, STARTPROCESSNode, SUBPAGENode, SVGVIEWERNode, SYSTEMICONNode, SYSTEMMENUITEMNode, SYSTEMPROPERTYREADERNode, SYSTEMTRAYMENUITEMNode, SYSTEMTRAYNode, TABBEDLINECONTAINERNode, TABBEDLINECONTAINERTABNode, TABBEDLINENode, TABBEDLINETABNode, TABBEDLINEVERTICALNode, TABBEDLINEVERTICALTABNode, TABBEDPANENode, TABBEDPANETABNode, TEXTAREANode, TEXTAREAWITHCOMMENTNode, TEXTEDITORNode, TEXTPANENode, TEXTPANEVERTICALNode, TEXTWITHLINKSNode, TILEDAREANode, TIMERNode, TOFRONTNode, TOGGLENode, TOUCHFIELDNode, TOUCHFIELDNUMERICNode, TOUCHSELECTORNode, TOUCHSIGNATURENode, TOUCHVIRTUALKEYBOARDNode, TRACKNode, TREENODENode, TRIPLEPANENode, UI5_ACCORDIONNode, UI5_ACCORDIONSECTIONNode, UI5_BEANPROCESSINGNode, UI5_CLIENTTABLENode, UI5_FIXCONTENTNode, UI5_FIXFLEXNode, UI5_FLEXCONTENTNode, UI5_GRIDNode, UI5_HORIZONTALDIVIDERNode, UI5_HORIZONTALLAYOUTNode, UI5_HTMLNode, UI5_ICONNode, UI5_MENUBUTTONNode, UI5_MENUITEMNode, UI5_SIMPLEFORMNode, UI5_SPLITTERNode, UI5_TABNode, UI5_TABSTRIPNode, UI5_VERTICALLAYOUTNode, UI5CC_REPEATNode, UI5CC_TIMERNode, UI5CC_WINDOWSIZETRANSFERNode, UI5M_ACTIONSHEETNode, UI5M_BUSYINDICATORNode, UI5M_BUTTONNode, UI5M_CAROUSELNode, UI5M_CHECKBOXNode, UI5M_CLIENTTABLENode, UI5M_COLUMNLISTITEMNode, UI5M_COMBOBOXNode, UI5M_CUSTOMLISTITEMNode, UI5M_DATEPICKERNode, UI5M_DATERANGESELECTIONNode, UI5M_DATETIMEINPUTNode, UI5M_FLEXBOXNode, UI5M_HBOXNode, UI5M_ICONTABBARCONTENTNode, UI5M_ICONTABBARITEMSNode, UI5M_ICONTABBARNode, UI5M_ICONTABFILTERNode, UI5M_IMAGENode, UI5M_INPUTNode, UI5M_LABELNode, UI5M_LINKNode, UI5M_LISTNode, UI5M_MESSAGETOASTNode, UI5M_NAVCONTAINERNode, UI5M_OBJECTATTRIBUTENode, UI5M_OBJECTHEADERATTRIBUTESNode, UI5M_OBJECTHEADERNode, UI5M_OBJECTHEADERSTATUSESNode, UI5M_OBJECTSTATUSNode, UI5M_OVERFLOWTOOLBARNode, UI5M_PAGECONTENTNode, UI5M_PAGECUSTOMHEADERNode, UI5M_PAGEFOOTERNode, UI5M_PAGEHEADERNode, UI5M_PAGENode, UI5M_PAGESUBHEADERNode, UI5M_PANELNode, UI5M_PROGRESSINDICATORNode, UI5M_RADIOBUTTONNode, UI5M_RATINGINDICATORNode, UI5M_SCROLLCONTAINERNode, UI5M_SEARCHFIELDNode, UI5M_SEGMENTEDBUTTONNode, UI5M_SELECTNode, UI5M_SLIDERNode, UI5M_STANDARDLISTITEMNode, UI5M_STANDARDTILENode, UI5M_SWITCHNode, UI5M_TABLECOLUMNNode, UI5M_TABLECOLUMNSNode, UI5M_TABLEITEMSNode, UI5M_TABLENode, UI5M_TEXTAREANode, UI5M_TEXTNode, UI5M_TILECONTAINERNode, UI5M_TOGGLEBUTTONNode, UI5M_TOKENNode, UI5M_TOOLBARNode, UI5M_TOOLBARSPACERNode, UI5M_UPLOADCOLLECTIONNode, UI5M_VBOXNode, UI5U_CURRENCYNode, UI5U_FILEUPLOADERNode, UI5U_SPLITCONTAINERCONTENTNode, UI5U_SPLITCONTAINERNode, UI5U_SPLITCONTAINERSECONDARYCONTENTNode, UI5UX_NAVIGATIONBARNode, UI5UX_NAVIGATIONITEMNode, VIDEONode, WEBSOCKETPOLLINGNode, WINDOWFOCUSINFONode, WINDOWSIZERNode, WORKPLACEPERSPECTIVESELECTORNode
  Enclosing class:
    ROWDYNAMICCONTENTBinding

      public static class ROWDYNAMICCONTENTBinding.ComponentNode
      extends java.lang.Object
      implements java.io.Serializable

  Representation of a component.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentNode(java.lang.String tagName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWDYNAMICCONTENTBinding.ComponentNode` | `addAttribute(java.lang.String name, IDynamicContentBindingObject value)` Binds an object to the component attribute.
    `ROWDYNAMICCONTENTBinding.ComponentNode` | `addAttribute(java.lang.String name, java.lang.String value)` Directly sets a component value.
    `ROWDYNAMICCONTENTBinding.ComponentNode` | `addSubNode(ROWDYNAMICCONTENTBinding.ComponentNode componentNode)` Add a sub component.
    `ROWDYNAMICCONTENTBinding.ComponentAttribute` | `getAttribute(java.lang.String name)`
    `java.util.Map<java.lang.String,ROWDYNAMICCONTENTBinding.ComponentAttribute>` | `getAttributesMap()`
    `java.lang.Object` | `getAttributeValue(java.lang.String attributeName)` Returns the value that actually is passed into the component.
    `java.util.List<ROWDYNAMICCONTENTBinding.ComponentNode>` | `getSubNodes()`
    `java.lang.String` | `getTagName()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentNode

          public ComponentNode(java.lang.String tagName)

      Parameters:
        `tagName` - The name of the component that you create. Use the full tag name of the component, including its prefix (e.g. "t:field")

  - ### Method Detail

    - #### getTagName

          public java.lang.String getTagName()

    - #### getSubNodes

          public java.util.List<ROWDYNAMICCONTENTBinding.ComponentNode> getSubNodes()

    - #### getAttributesMap

          public java.util.Map<java.lang.String,ROWDYNAMICCONTENTBinding.ComponentAttribute> getAttributesMap()

    - #### getAttribute

          public ROWDYNAMICCONTENTBinding.ComponentAttribute getAttribute(java.lang.String name)

    - #### addAttribute

          public ROWDYNAMICCONTENTBinding.ComponentNode addAttribute(java.lang.String name,
                                                                     java.lang.String value)

      Directly sets a component value. The value either is some direct value (e.g. text of a button) or is an expression string. This is the same string that you normally set via XML attributes within the normal XML page definition.

    - #### addAttribute

          public ROWDYNAMICCONTENTBinding.ComponentNode addAttribute(java.lang.String name,
                                                                     IDynamicContentBindingObject value)

      Binds an object to the component attribute. The value that is bound is implicitly also addressed via expression that is internally generated for this attribute value.

    - #### getAttributeValue

          public java.lang.Object getAttributeValue(java.lang.String attributeName)

      Returns the value that actually is passed into the component. In case of a "set" value this is the String that actually is a direct value or an expression. In case of a "bound" value this is the object that is bound.

    - #### addSubNode

          public ROWDYNAMICCONTENTBinding.ComponentNode addSubNode(ROWDYNAMICCONTENTBinding.ComponentNode componentNode)

      Add a sub component.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toXML

          public java.lang.String toXML()

Copyright © CaptainCasa Gmbh. All Rights Reserved.